The base Field Service module can be used with minimal initial
configuration. It also allows for many advanced features, which require
a more in-depth configuration.

## Order Stages

The stage of an order is used to monitor its progress. Stages can be
configured based on your company's specific business needs. A basic set
of order stages comes pre-configured for use.

1.  Go to *Field Service \> Configuration \> Stages*
2.  Create or edit a stage
3.  Set the name for the stage.
4.  Set the sequence order for the stage.
5.  Select *Order* type to apply this stage to your orders.
6.  Additonally, you can set a color for the stage.

## Field Service Areas

You can manage designated areas or locales for your field service
workers, salesmen, and other resources. For example, salesmen may serve
a particular Territory. There may be multiple Territories served by a
single Branch office location. Multiple Branches are managed within a
District and these Districts are managed under an encompassing Region.

### Setup a Territory

1.  Go to Settings \> Users & Companies \> Territories\*
2.  Create or select a territory
3.  Set the territory Name and description
4.  Select or create a branch which this territory serves
5.  Choose a type of zip, country whichs defines the boundary used
6.  Input a list of zip codes, countries based on your desired
    configuration

### Setup Branches, Districts, and Regions

If your business requires, define your Branches, Districts, and Regions.
These are found under *Field Service \> Configuration \> Locations*

## Advanced Configurations

Additional features, automations, and GeoEngine features can be enabled
in the General Settings panel for Field Service.

1.  Go to *Field Service \> Configuration \> Settings*
2.  Enable additional options
3.  Configure new options

### Manage Teams

Teams can be used to organize the processing of field service orders
into groups. Different teams may have different workflows that a field
service order needs to follow.

1.  Go to *Field Service \> Configuration \> Workers \> Teams*
2.  Create or select a team
3.  Set the team name, description, and sequence

You can now define custom stages for each team processing orders.

1.  Go to *Field Service \> Configuration \> Stages*
2.  Create or edit a stage
3.  Select the teams for which this stage should be used

### Manage Categories

Categories are used to group workers and the type of orders a worker can
do.

1.  Go to *Field Service \> Configuration \> Workers \> Categories*
2.  Create or select a category
3.  Set the name and description of category
4.  Additionally, you can select a parent category if required

### Manage Tags

Tags can be used to filter and report on field service orders

1.  Go to *Field Service \> Configuration \> Orders \> Tags*
2.  Create or select a tag
3.  Set the tag name
4.  Set a color index for the tag

### Manage Order Templates

Order templates allow you to create standard templates for your orders.

1.  Go to *Field Service \> Master Data \> Templates*
2.  Create or select a template
3.  Set the name
4.  Set the standard order instructions
